/**
 * Stellt ein einzelnes Feld in einem Labyrinth dar.
 */
public enum LabyrinthFeld {
    /**
     * Eine Mauer ist ein Feld, auf dem sich die Spielfigur nicht aufhalten
     * kann.
     */
    Mauer,
    /**
     * Ein freies Feld kann von der Spielfigur betreten werden.
     */
    Frei,
    /**
     * Ein Feld auf dem ein Schatz liegt. Betritt die Spielfigur dieses Feld,
     * wird der Schatz entfernt. Dies geschieht in dem das Feld in ein
     * {@link LabyrinthFeld#Frei}es Feld umgewandelt wird.
     */
    Schatz;
}